Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Class Service3OsgiR6ComponentServiceObjectsImpl

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.Service3OsgiR6ComponentServiceObjectsImpl

All Implemented Interfaces:
  `Service3OsgiR6`

public class Service3OsgiR6ComponentServiceObjectsImpl extends Object implements Service3OsgiR6

## Constructor Summary

Constructors
Constructor
Description
`Service3OsgiR6ComponentServiceObjectsImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.component.ComponentContext`
`getComponentContext()`
`Map<String,Object>`
`getConfig()`
`ServiceInterface1`
`getReference1()`
`ServiceInterface1Optional`
`getReference1Optional()`
`ServiceSuperInterface3`
`getReference3DynamicFiltered()`
`List<ServiceInterface2>`
`getReferences2()`
`List<ServiceSuperInterface3>`
`getReferences3()`
`Collection<ServiceSuperInterface3>`
`getReferences3Collection()`
`List<ServiceSuperInterface3>`
`getReferences3Filtered()`
`Set<ServiceSuperInterface3>`
`getReferences3Set()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service3OsgiR6ComponentServiceObjectsImpl

public Service3OsgiR6ComponentServiceObjectsImpl()

## Method Details

### getReference1

public ServiceInterface1 getReference1()

Specified by:
  `getReference1` in interface `Service3OsgiR6`

### getReference1Optional

public ServiceInterface1Optional getReference1Optional()

Specified by:
  `getReference1Optional` in interface `Service3OsgiR6`

### getReferences2

public List<ServiceInterface2> getReferences2()

Specified by:
  `getReferences2` in interface `Service3OsgiR6`

### getReferences3

public List<ServiceSuperInterface3> getReferences3()

Specified by:
  `getReferences3` in interface `Service3OsgiR6`

### getReferences3Filtered

public List<ServiceSuperInterface3> getReferences3Filtered()

Specified by:
  `getReferences3Filtered` in interface `Service3OsgiR6`

### getReference3DynamicFiltered

public ServiceSuperInterface3 getReference3DynamicFiltered()

Specified by:
  `getReference3DynamicFiltered` in interface `Service3OsgiR6`

### getReferences3Set

public Set<ServiceSuperInterface3> getReferences3Set()

Specified by:
  `getReferences3Set` in interface `Service3OsgiR6`

### getReferences3Collection

public Collection<ServiceSuperInterface3> getReferences3Collection()

Specified by:
  `getReferences3Collection` in interface `Service3OsgiR6`

### getComponentContext

public org.osgi.service.component.ComponentContext getComponentContext()

Specified by:
  `getComponentContext` in interface `Service3OsgiR6`

### getConfig

public Map<String,Object> getConfig()

Specified by:
  `getConfig` in interface `Service3OsgiR6`